<div [routerLink]="['home']" title="Home" class="back">
  <i class="material-icons small">arrow_back</i>
</div>

<div class="loading" [@loadingAnimation] *ngIf="showLoading">
  <img src="./assets/loading.gif" alt="">
</div>
<div class="row" *ngIf="showContent">
  <div [@profileAnimation] class="col m6 s12">
    
    <img src="{{user?.avatar}}" id="avatar" class="circle responsive-img">
    
    <div class="center-align">
      <span class="username"> {{user?.username}} </span>
      <br>
      <span class="name"> {{user?.name}} </span>
      <br>
      <span class="bio"> {{user?.bio}} </span>
    </div>
    
    <div class="row valign-wrapper center-align ">
      <div class="col m6 s12">
        <div class="card blue-grey darken-1">
          <div class="card-content white-text">
            <div class="row ">
              <div class="col m6">
                <i class="material-icons medium">person</i> <br> Followers <br> {{user?.followers}}
              </div>
              <div class="col m6">
                <i class="material-icons medium">perm_identity</i> <br> Following <br> {{user?.following}}
              </div>
            </div>
          </div>
        </div>
      </div>
      
      <div class="col m6 s12">
        <div class="card info blue-grey darken-1">
          <div class="card-content white-text">
            <span class="valign-wrapper tooltipped" data-position="left" data-delay="10" data-tooltip="Blog"><i class="material-icons">web</i>  {{user?.blog ? user?.blog : 'Uninformed' }}</span> <br>
            <span class="valign-wrapper tooltipped" data-position="left" data-delay="10" data-tooltip="Company"><i class="material-icons">work</i>  {{user?.company ? user?.company : 'Uninformed' }}</span> <br>
            <span class="valign-wrapper tooltipped" data-position="left" data-delay="10" data-tooltip="Location"><i class="material-icons">home</i>  {{user?.location ? user?.location : 'Uninformed' }}</span> <br>
            <span class="valign-wrapper tooltipped" data-position="left" data-delay="10" data-tooltip="Member Since"><i class="material-icons">schedule</i>  {{user?.memberAt ? user?.memberAt : 'Uninformed' }}</span>
          </div>
        </div>
      </div>
    </div>
  </div>
  
  <div [@reposAnimation] class="col m6 s12">
    <div class="card-panel repos blue-grey lighten-1 ">
      <span class="card-title white-text">Repositories</span>
      <ul class="collection with-header">
        <li class="collection-header modal-trigger" *ngIf="repos?.length == 0"> No repositories</li>
        <li (click)="openModal(repo)" *ngFor="let repo of repos" class="collection-header modal-trigger">
          <span>{{repo.name}}</span>
        </li>
      </ul>
    </div>
  </div>
  
</div>

<!-- Modal -->
<div id="modal" class="modal bottom-sheet">
  <div class="modal-content">
    <h4>{{repoActive?.name}}</h4>
    <p>{{repoActive?.description}}</p>
    <p>Language: {{repoActive?.language}}</p>
    <p>Creation date: {{repoActive?.createdAt}}</p>
  </div>
  <div class="modal-footer">
    <a (click)="closeModal()" class="modal-action modal-close waves-effect waves-green btn-flat">Close</a>
    <a href="{{repoActive?.url}}" target="blank" class="waves-effect waves-light btn">Visit</a>
  </div>
</div>
<div class="row" *ngIf="showError">

  <div class="col m4 offset-s4">
    <div class="erro" >
      <div class="card blue-grey darken-1">
        <div class="card-content white-text">
          <span class="card-title">Error</span>
          <p *ngIf="!notFound">It’s not possible to upload the user at the moment, please try it again later.</p>
          <p *ngIf="notFound">User not found</p>
          </div>
          
        </div>
      </div>
    </div>
  </div>